Class Fox::FXDebugTarget

In: | FXDebugTarget.rb
Parent: | FXObject

A debug target prints out every message it receives. To use it, simply make the FXDebugTarget a target of the widget whose messages you want to see.

Methods

messageTypeName new

Public Class methods

messageTypeName()

Returns an array of strings containing the names of the message types. So, for example,

      puts FXDebugTarget.messageTypeName[SEL_COMMAND]

should print the text "SEL_COMMAND".

new() {|theDebugTarget| ...}

Construct a debug target.